
DEFAULT_THEME = {
    "name": "Default",
    "html": """<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <style type="text/css" rel="stylesheet" media="all">
            /* Base ------------------------------ */
            *:not(br):not(tr):not(html) {
                font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;
                -webkit-box-sizing: border-box;
                box-sizing: border-box;
            }

            body {
                width: 100% !important;
                height: 100%;
                margin: 0;
                line-height: 1.4;
                background-color: #F2F4F6;
                color: #74787E;
                -webkit-text-size-adjust: none;
            }

            a {
                color: #3869D4;
            }

            /* Layout ------------------------------ */
            .email-wrapper {
                width: 100%;
                margin: 0;
                padding: 0;
                background-color: #F2F4F6;
            }

            .email-content {
                width: 100%;
                margin: 0;
                padding: 0;
            }

            /* Masthead ----------------------- */
            .email-masthead {
                padding: 25px 0;
                text-align: center;
            }

            .email-masthead_logo {
                max-width: 400px;
                border: 0;
            }

            .email-masthead_name {
                font-size: 16px;
                font-weight: bold;
                color: #2F3133;
                text-decoration: none;
                text-shadow: 0 1px 0 white;
            }

            .email-logo {
                max-height: 50px;
            }

            /* Body ------------------------------ */
            .email-body {
                width: 100%;
                margin: 0;
                padding: 0;
                border-top: 1px solid #EDEFF2;
                border-bottom: 1px solid #EDEFF2;
                background-color: #FFF;
            }

            .email-body_inner {
                width: 570px;
                margin: 0 auto;
                padding: 0;
            }

            .email-footer {
                width: 570px;
                margin: 0 auto;
                padding: 0;
                text-align: center;
            }

            .email-footer p {
                color: #AEAEAE;
            }

            .body-action {
                width: 100%;
                margin: 30px auto;
                padding: 0;
                text-align: center;
            }

            .body-dictionary {
                width: 100%;
                overflow: hidden;
                margin: 20px auto 10px;
                padding: 0;
            }

            .body-dictionary dd {
                margin: 0 0 10px 0;
            }

            .body-dictionary dt {
                clear: both;
                color: #000;
                font-weight: bold;
            }

            .body-dictionary dd {
                margin-left: 0;
                margin-bottom: 10px;
            }

            .body-sub {
                margin-top: 25px;
                padding-top: 25px;
                border-top: 1px solid #EDEFF2;
                table-layout: fixed;
            }

            .body-sub a {
                word-break: break-all;
            }

            .content-cell {
                padding: 35px;
            }

            .align-right {
                text-align: right;
            }

            /* Type ------------------------------ */
            h1 {
                margin-top: 0;
                color: #2F3133;
                font-size: 19px;
                font-weight: bold;
            }

            h2 {
                margin-top: 0;
                color: #2F3133;
                font-size: 16px;
                font-weight: bold;
            }

            h3 {
                margin-top: 0;
                color: #2F3133;
                font-size: 14px;
                font-weight: bold;
            }

            blockquote {
                margin: 1.7rem 0;
                padding-left: 0.85rem;
                border-left: 10px solid #F0F2F4;
            }

            blockquote p {
                font-size: 1.1rem;
                color: #999;
            }

            blockquote cite {
                display: block;
                text-align: right;
                color: #666;
                font-size: 1.2rem;
            }

            cite {
                display: block;
                font-size: 0.925rem;
            }

            cite:before {
                content: "\\2014 \\0020";
            }

            p {
                margin-top: 0;
                color: #74787E;
                font-size: 16px;
                line-height: 1.5em;
            }

            p.sub {
                font-size: 12px;
            }

            p.center {
                text-align: center;
            }

            table {
                width: 100%;
            }

            th {
                padding: 0px 5px;
                padding-bottom: 8px;
                border-bottom: 1px solid #EDEFF2;
            }

            th p {
                margin: 0;
                color: #9BA2AB;
                font-size: 12px;
            }

            td {
                padding: 10px 5px;
                color: #74787E;
                font-size: 15px;
                line-height: 18px;
            }

            .content {
                align: center;
                padding: 0;
            }

            /* Data table ------------------------------ */
            .data-wrapper {
                width: 100%;
                margin: 0;
                padding: 35px 0;
            }

            .data-table {
                width: 100%;
                margin: 0;
            }

            .data-table th {
                text-align: left;
                padding: 0px 5px;
                padding-bottom: 8px;
                border-bottom: 1px solid #EDEFF2;
            }

            .data-table th p {
                margin: 0;
                color: #9BA2AB;
                font-size: 12px;
            }

            .data-table td {
                padding: 10px 5px;
                color: #74787E;
                font-size: 15px;
                line-height: 18px;
            }

            /* Buttons ------------------------------ */
            .button {
                display: inline-block;
                width: 200px;
                background-color: #3869D4;
                border-radius: 3px;
                color: #ffffff;
                font-size: 15px;
                line-height: 45px;
                text-align: center;
                text-decoration: none;
                -webkit-text-size-adjust: none;
                mso-hide: all;
            }

            /*Media Queries ------------------------------ */
            @media only screen and (max-width: 600px) {
                .email-body_inner,
                .email-footer {
                    width: 100% !important;
                }
            }

            @media only screen and (max-width: 500px) {
                .button {
                    width: 100% !important;
                }
            }
        </style>
    </head>
    <body dir="{{ generator.text_direction }}">
        <table class="email-wrapper" width="100%" cellpadding="0" cellspacing="0">
            <tr>
                <td class="content">
                    <table class="email-content" width="100%" cellpadding="0" cellspacing="0">
                        <!-- Logo -->
                        <tr>
                            <td class="email-masthead">
                                <a class="email-masthead_name" href="{{ generator.product[" link"] }}" target="_blank">
                                {% if generator.product["logo"] %}
                                <img src="{{ generator.product[" logo"] }}" class="email-logo" />
                                {% else %}
                                {{ generator.product["name"] }}
                                {% endif %}
                                </a>
                            </td>
                        </tr>
                        <!-- Email Body -->
                        <tr>
                            <td class="email-body" width="100%">
                                <table class="email-body_inner" align="center" width="570" cellpadding="0"
                                       cellspacing="0">
                                    <!-- Body content -->
                                    <tr>
                                        <td class="content-cell">
                                            <h1>{% if email.title %}{{ email.title }}{% else %}{{ email.greeting }} {{ email.name }},{% endif %}</h1>

                                            <!-- Intro -->
                                            {% for intro in email.intros %}
                                                <p>{{ intro }}</p>
                                            {% endfor %}

                                            {% if email.free_markdown %}
                                                <!-- Free Markdown -->
                                                {{ email.free_markdown }}
                                            {% else %}

                                                <!-- Dictionary -->
                                                {% if email.dictionary|length != 0 %}
                                                    <dl class="body-dictionary">
                                                        {% for d in email.dictionary %}
                                                            <dt>{{ d[0] }}</dt>
                                                            <dd>{{ d[1] }}</dd>
                                                        {% endfor %}
                                                    </dl>
                                                {% endif %}

                                                <!-- Table -->
                                                {% if email.table %}
                                                    <table class="data-wrapper" width="100%" cellpadding="0" cellspacing="0">
                                                        <tr>
                                                            <td colspan="2">
                                                                <table class="data-table" width="100%" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        {% for header in email.table.headers %}
                                                                            <th>{{ header }}</th>
                                                                        {% endfor %}
                                                                    </tr>
                                                                    {% for row in email.table.rows %}
                                                                        <tr>
                                                                            {% for column in row %}
                                                                                <td>
                                                                                    {{ column }}
                                                                                </td>
                                                                            {% endfor %}
                                                                        </tr>
                                                                    {% endfor %}
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                {% endif %}

                                                <!-- Action -->
                                                {% for action in email.actions %}
                                                    <p>{{ action[0] }}</p>
                                                    <table class="body-action" align="center" width="100%" cellpadding="0"
                                                           cellspacing="0">
                                                        <tr>
                                                            <td align="center">
                                                                <div>
                                                                    <a href="{{ action[1].link }}" class="button"
                                                                       style="background-color: {{ action[1].color }}"
                                                                       target="_blank">
                                                                        {{ action[1].text }}
                                                                    </a>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                {% endfor %}

                                            {% endif %}

                                            {% for outro in email.outros %}
                                                <p>{{ outro }}</p>
                                            {% endfor %}

                                            <p>{{ email.signature }},<br/>{{ generator.product["name"] }}</p>

                                            {% if email.free_markdown %}
                                                <table class="body-sub">
                                                    <tbody>
                                                        {% for action in email.actions %}
                                                        <tr>
                                                            <td>
                                                                <p class="sub">{{
                                                                    generator.product["trouble"]|replace("[ACTION]",
                                                                    action[1].text) }}</p>
                                                                <p class="sub"><a href="{{ action[1].link }}">{{
                                                                    action[1].link }}</a></p>
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            {% endif %}
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table class="email-footer" align="center" width="570" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td class="content-cell">
                                            <p class="sub center">
                                                {{ generator.product["copyright"] }}
                                            </p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>""",
    "plain": """
{% if email.title -%}
    {{ email.title }}
{%- else -%}
    {{ email.greeting }} {{ email.name }}
{%- endif %},

{% for intro in email.intros %}
{{ intro }}

{% endfor %}

{% if email.free_markdown -%}
    {{ email.raw_markdown }}
{%- else -%}
    {% for item in email.dictionary %}
    {{ item[0] }}: {{ item[1] }}
    {% endfor %}

    {% if email.table %}
    {{ email.table.headers[0] }}{% if email.table.headers|length > 1 %}{% for header in email.table.headers[1:] %} | {{ header }}{% endfor %}{% endif %}
    {% for row in email.table.rows %}
    {{ row[0] }}{% if row|length > 1 %}{% for column in row[1:] %} | {{ column }}{% endfor %}{% endif %}
    {% endfor %}
    {% endif %}

    {% for action in email.actions %}
    {{ action[0] }} {{ action[1].link }}
    {% endfor %}
{%- endif %}

{% for outro in email.outros %}
{{ outro }}

{% endfor %}

{{ email.signature }},
{{ generator.product["name"] }} - {{ generator.product["link"] }}

{{ generator.product["copyright"] }}
"""
}
